var character;
var canvas = document.getElementById("cvGame");
var ctx = canvas.getContext("2d");
var game = {
    states: Object.freeze({"start": 0, "running":1, "over": 2,"end" : 3}),
    speed: 50,
    state: null,
    tmr: null,
};

function drawFrame() {
    ctx.clearRect(0, 0, canvas.width, canvas.height);
    character.animate();
}
function initialise() {
    canvas.width = 800;
    canvas.height = 500;
    character = new Sprite("images/walk11x60x75.png");
    character.visible = true;
    character.frames = 11;
    character.frameWidth = 60;
    character.x = Math.floor(canvas.width / 5);
    character.y = canvas.height - 75;
    game.state = game.states.running; // testing
    game.tmr = setInterval(drawFrame, game.speed);
}
initialise();