var Sprite = function(imgSrc) {
    this.x = 0;
    this.y = 0;
    this.moveX = 0;
    this.moveY = 0;
    this.img = new Image();
    this.img.src = imgSrc;
    this.rotation = 0;
    this.frames = 1;
    this.frameWidth = 0;
    this.frame = 0;
    this.continuous = false;
    this.visible = false;
};
Sprite.prototype.animate = function() {
    if(this.visible){
        if(this.frames > 1){
            if(game.state === game.states.start || game.state === game.states.running){
                this.frame += 1;
                this.frame %= this.frames;
            } else {
                this.frame = 0; // stop animation at end
            }
            let clipx = this.frame * this.frameWidth;
            ctx.drawImage(this.img, clipx, 0, this.frameWidth, this.img.height, this.x, this.y, this.frameWidth, this.img.height);
        } else {
            ctx.drawImage(this.img, -this.x, this.y);
        }
     }
};